var socket = io.connect("http://localhost:3000");

//Query DOM
var output = document.getElementById("output"),
  message = document.getElementById("message"),
  sendBtn = document.getElementById("send"),
  geoBtn = document.getElementById("geolocation");

let time = new Date();

function autoScrolling() {
  let bottomMessages = document.querySelector("#output").lastElementChild;
  bottomMessages.scrollIntoView();
}

sendBtn.addEventListener("click", function () {
  socket.emit("sendingMessage", { message: message.value, time: time });
  message.value = "";
});

geoBtn.addEventListener("click", function () {
  socket.emit("geolocationMessage", time);
});

socket.on("sendingMessage", function (data) {
  output.innerHTML += "<p>" + data + "</p>";
  autoScrolling();
});

socket.on("geolocationMessage", function (data) {
  output.innerHTML += "<p>" + "This is my location: " + data + "</p>";
  autoScrolling();
});
