const express = require("express");
const socket = require("socket.io");
const moment = require("moment");
const port = 3000;
//Setting up the app
var app = express();
var server = app.listen(port, function () {
  console.log("Listening on port: " + port);
});
const geolocation = require("./public/geolocation");
app.use(express.static("public"));

var io = socket(server);

io.on("connection", function (socket) {
  console.log("Made a connection with: ", socket.id);

  socket.on("sendingMessage", function (data) {
    io.emit(
      "sendingMessage",
      data.message + "  " + moment(data.time).format("hh:mm A")
    );
  });

  socket.on("geolocationMessage", function (data) {
    let socketIp = socket.handshake.address;
    socketIp = socketIp.slice(7);
    let responseJson;
    geolocation.getLocation(socketIp, function (responseJson) {
      io.emit(
        "geolocationMessage",
        responseJson + "  " + moment(data).format("hh:mm A")
      );
    });
  });
});
